#!/bin/sh
#
# Runs the InitialIndexer application which writes the file indexes to
# the SQL server.
#

echo "   _____________________________________"
echo "  |                                     |"
echo "  |  FileLister v0.5.1: InitialIndexer  |"
echo "  |_____________________________________|"
echo

cd dirname $0

if [ ! -x "./filelister_env.sh" ]; then
  echo "  filelister_env.sh is missing or not executable! Please make sure you"
  echo "  use the original distribution."
  exit 3
fi

. ./filelister_env.sh
echo  "FileLister classpath: $FILELISTERCLASSPATH"
if [ $? = 0 ]; then
  exec java -classpath "$FILELISTERCLASSPATH" org.alltimeflashdreamer.filelister.InitialIndexer $PROPERTYFILEDIR $1
fi
