@echo off
echo.
echo.
echo   ͻ
echo                                    
echo     FileLister v0.5.1: SetupFrame  
echo                                    
echo   ͼ
echo.

rem If running WinNT, the OS environment variable is set anyway
IF NOT "x%OS%" == "x" goto winnt

rem Windows 95/98 specific:
set MYFILENAME=setup.bat
IF NOT "x%FILELISTER_HOME%" == "x" cd %FILELISTER_HOME%\bin
IF EXIST ".\%MYFILENAME%" goto continue:

rem If come to here, neither the OS nor the FILELISTER_HOME variable is 
rem set -> quit
echo   Please change the current directory to the location of %MYFILENAME% 
echo   or define the FILELISTER_HOME variable to avoid this message.
goto :END

:winnt
cd %~dp0

:continue
rem Call the set-environment-setting batch file
call filelister_env.bat

rem Check whether this batch file found everything okay
IF NOT %ERRORLEVEL% == 0 goto END

rem Run the SetupFrame application
call %JAVA_HOME%\bin\java -classpath "%FILELISTERCLASSPATH%" org.alltimeflashdreamer.filelister.gui.SetupFrame %1
goto END

:END
set PROPERTYFILEDIR=
set FILELISTERCLASSPATH=
set MYFILENAME=
