#!/bin/sh
#
# Runs the setup application (SetupFrame) which allows to configure the
# configuration file graphically.
#

echo "   _________________________________"
echo "  |                                 |"
echo "  |  FileLister v0.5.1: SetupFrame  |"
echo "  |_________________________________|"
echo

cd dirname $0

if [ ! -x "./filelister_env.sh" ]; then
  echo "  filelister_env.sh is missing or not executable! Please make sure you"
  echo "  use the original distribution."
  exit 3
fi

. ./filelister_env.sh
echo  "FileLister classpath: $FILELISTERCLASSPATH"
if [ $? = 0 ]; then
  exec java -classpath "$FILELISTERCLASSPATH" org.alltimeflashdreamer.filelister.gui.SetupFrame $1
fi

