<%@page language="java" import="org.alltimeflashdreamer.filelister.*" %>
<%
	FileListerConfig fileListerConfig = FileListerFactory.getFileListerConfig( request );
	try {
		if ( fileListerConfig == null )
		    throw new NullPointerException();
%>

<html>

	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
		<meta http-equiv="author" content="Florian Steinsiepe, Adrian Zaugg" />
		<meta http-equiv="description" content="FileLister: Indexing and searching the file system using the web browser" />
		<meta http-equiv="keywords" content="file listing, indexing file system, search through web browser, Java Servlets, JSP, XHTML" />
		<meta http-equiv="Content-Style-Type" content="text/html" />
		<meta http-equiv="expires" content="0" />
		<meta http-equiv="refresh" content="<%= fileListerConfig.getMetaRefreshContent() %>" />
		<link rel="icon" href="images/filelister.ico" type="image/ico" />
		<link rel="shortcut icon" href="images/filelister.ico" />
		<link rel="stylesheet" type="text/css" href="filelister.css" />
		<title>FileLister: Building Zip File - All Time Flash Dreamer</title>
	</head>

	<body text="black">
		<div align="center">
			<table border="0" cellpadding="" cellspacing="0" width="90%">
			    <tr>
				    <td width="100%" align="right">
					    <img src="<%= JSPMethods.getImageSrc( "logo" ) %>" alt="FileLister">
					</td>
				</tr>
			</table>
			<p><table border="0" cellspacing="0" cellpadding="0" width="90%">
			    <tr>
				    <td colspan="2" align="right">
						<font class="AF2"><%= fileListerConfig.getZipFilesDone() %></font>
					</td>
				</tr>
			    <tr>
				</tr>
				<tr>
					<th class="THC" colspan="<%= ( fileListerConfig.isReadyToStream() ) ? 2 : 1 %>" width="<%= fileListerConfig.getProgressBarWidth() %>" align="center" border="1">
						<font class="AF"><%= fileListerConfig.getProgressBarWidth() %></font>
					</th>
					<% if ( !fileListerConfig.isReadyToStream() ) { %>
						<th bgcolor="#FFFFFF" width="*"> </th>
					<% } %>
				</tr>
			    <tr>
				    <td align="left">
						<font class="AF2"><%= fileListerConfig.getZipCurrentlyAdding() %></font>
					</td>
				    <td align="right">
						<font class="AF2"><%= fileListerConfig.getZipArchiveSize() %></font>
					</td>
				</tr>
			    <tr>
				    <td colspan="2" align="left" height="50">
						<font class="AF2"><%= fileListerConfig.getZipTimeElapsed() %></font>
					</td>
				</tr>
			    <tr>
				    <td colspan="2" align="left">
						<font class="AF2"><%= fileListerConfig.getZipWarnings() %></font>
					</td>
				</tr>
			    <tr>
				    <td colspan="2" align="center">
						<font class="AF2"><a href="<%= fileListerConfig.getViewerServletURL() %>">Back to Results View</a></font>
					</td>
				</tr>
			</table></p>
		</div>
	</body>
</html>
<%
	} catch ( NullPointerException npe ) {
	    //if called illegally or after session timeout, redirect to application entry directory
		FileListerFactory.redirectToAppRoot( response );
	}
%>