<%@page language="java" import="javax.servlet.*,javax.servlet.http.*,org.alltimeflashdreamer.filelister.*" %>
<%
	FileListerConfig fileListerConfig = FileListerFactory.getFileListerConfig( request );
	try {
		FileListerException fle = fileListerConfig.getFileListerException();
		Throwable rootCause = fle.getRootCause();

		//unset the exception after having processed it
		fileListerConfig.setFileListerException( null );
%>
<html>

	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
		<meta http-equiv="author" content="Florian Steinsiepe, Adrian Zaugg" />
		<meta http-equiv="description" content="FileLister: Indexing and searching the file system using the web browser" />
		<meta http-equiv="keywords" content="file listing, indexing file system, search through web browser, Java Servlets, JSP, XHTML" />
		<meta http-equiv="Content-Style-Type" content="text/html" />
		<meta http-equiv="expires" content="0" />
		<link rel="icon" href="images/filelister.ico" type="image/ico" />
		<link rel="shortcut icon" href="images/filelister.ico" />
		<link rel="stylesheet" type="text/css" href="filelister.css" />
		<title>FileLister: Error Site - All Time Flash Dreamer</title>
	</head>

	<body text="black">
		<div align="center">
			<table border="0" cellpadding="" cellspacing="0" width="90%">
			    <tr>
				    <td width="100%" align="right">
					    <img src="<%= JSPMethods.getImageSrc( "logo" ) %>" alt="FileLister">
					</td>
				    <!--td width="60%" align="left">
						<h2><font class="RF">Error Site</font></h2>
					</td-->
				</tr>
			</table>
			<p><font class="AF"><b>Error:</b>&nbsp;<%= fle.getMessage() %></font></p>
			<% if ( rootCause != null ) { %>
				<p><font class="AF"><b>Root Cause Type:</b>&nbsp;<%= rootCause.getClass().getName() %></font></p>
				<p><font class="AF"><b>Root Cause Message:</b>&nbsp;<%= rootCause.getMessage() %></font></p>
			<% } %>
		</div>
	</body>
</html>
<%
	} catch ( NullPointerException npe ) {
	    //if called illegally or after session timeout, redirect to application entry directory
		FileListerFactory.redirectToAppRoot( response );
	}
%>