<%@page language="java" import="org.alltimeflashdreamer.filelister.*" %>
<%
	FileListerConfig fileListerConfig = FileListerFactory.getFileListerConfig( request );
	try {
		boolean bActivateControls = ( fileListerConfig.getFileLister().getResultCount() > 0 &&
				fileListerConfig.getFileListerException() == null );
%>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
		<meta http-equiv="author" content="Florian Steinsiepe, Adrian Zaugg" />
		<meta http-equiv="description" content="FileLister: Indexing and searching the file system using the web browser" />
		<meta http-equiv="keywords" content="file listing, indexing file system, search through web browser, Java Servlets, JSP, XHTML" />
		<meta http-equiv="expires" content="0" />
		<link rel="icon" href="images/filelister.ico" type="image/ico" />
		<link rel="shortcut icon" href="images/filelister.ico" />
		<link rel="stylesheet" type="text/css" href="filelister.css" />
		<title>Option Bar Frame [All Time Flash Dreamer's FileLister]</title>
	</head>
	<% if ( fileListerConfig.isAllowedToZip() ) { %>
	<script language="JavaScript">
			/**
			 * Builds a comma-separated list of checkbox values (which actually are just id's of
			 * the FileLister class' entries) that are selected to be added to the download zip;
			 * this list is finally set as the value to the hidden input named "selectedforzip"
			 */
	        function buildSelectedForZipList()
			{
				var sSelectedForZip = "";
				var bIsFirstSelection = true;

				for ( i = 0; i < parent.resultframe.document.downloadform.elements.length; i++ )
				{
					if ( parent.resultframe.document.downloadform.elements[i].checked )
					{
						if ( !bIsFirstSelection )
						    sSelectedForZip += ",";
					    sSelectedForZip += parent.resultframe.document.downloadform.elements[i].value;
						bIsFirstSelection = false;
					}
				}

				document.optionbarform.selectedforzip.value = sSelectedForZip;
				//DEBUG: alert( 'selectedforzip value = ' + document.optionbarform.selectedforzip.value );
			}

			/**
			 * Manipulates the action tag of the download form of the result frame. How to manipulate
			 * this tag is defined by the given mode parameter. Possible manipulations are: Start the
			 * downloading of a zip file, select all search results and unselect all search results.
			 * After the manipulation, the download form is submitted.
			 */
			function processZipAction( mode )
			{
				if ( mode == 1 )
				    parent.resultframe.document.downloadform.zipmode.value = 'selectall';
				else if ( mode == 2 )
				    parent.resultframe.document.downloadform.zipmode.value = 'deselectall';
				//DEBUG: alert( 'New zipmode value: ' + parent.resultframe.document.downloadform.zipmode.value + '\n' +
				//	   'Results form action: ' + parent.resultframe.document.downloadform.action );
				parent.resultframe.document.downloadform.submit();
			}
	</script>
	<% } %>

	<body text="black">
		<form name="optionbarform" action="<%= fileListerConfig.getRequestURL( false ) %>" method="post" target="_top" <%= ( fileListerConfig.isAllowedToZip() ) ? "onSubmit=\"buildSelectedForZipList()\"" : "" %>>
			<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				  <th align="left" class="THC" width="20%" height="19"><font class="AF2">Define Search:</font></th>
				  <th align="left" class="THC" width="25%" height="19"><font class="AF2">Navigate:</font></th>
				  <th align="left" class="THC" width="25%" height="19"><font class="AF2">Show Results:</font></th>
				  <th align="left" class="THC" width="15%" height="19"><font class="AF2"><%= ( fileListerConfig.isAllowedToZip() ) ? "Zip Options:" : "&nbsp;" %></font></th>
				  <th align="right" class="THC" width="15%" height="19"><font class="AF2">Index Time:</font></th>
			  </tr>
			  <tr>
				  <td valign="middle" align="left">
					  <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
					      <tr>
						      <td width="100%" height="30" nowrap="nowrap" valign="bottom">
					              <img src="<%= JSPMethods.getImageSrc( "newsearch" ) %>" alt="New search" class="CC" onClick="parent.document.location.href='<%= fileListerConfig.getRequestURL( true ) %>'">
							  </td>
						  </tr>
					      <tr>
						      <td width="100%" height="19" nowrap="nowrap" valign="top">
					              <img src="<%= JSPMethods.getImageSrc( "searchagain" ) %>" alt="Search again" class="CC" onClick="parent.document.location.href='<%= fileListerConfig.getRequestURL( true ) %>&search=searchagain'">
							  </td>
						  </tr>
					      <tr>
						      <td width="100%" height="19" nowrap="nowrap" valign="top">
					              <img src="<%= JSPMethods.getImageSrc( "searchwithinresults" ) %>" alt="Search within results" class="CC" onClick="<%= ( bActivateControls ) ? "parent.document.location.href='" + fileListerConfig.getRequestURL( true ) + "&search=withinresults'" : "" %>">
							  </td>
						  </tr>
				      </table>
				  </td>
				  <td valign="middle">
					<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
					  <tr>
						<td height="30" nowrap="on" align="left" valign="bottom" nowrap="nowrap">
						  <font class="AF2">
						    <% if ( bActivateControls ) { %>
						    <input type="image" name="navfirst" src="<%= JSPMethods.getImageSrc( "first" ) %>" alt="|&lt;&lt;" value="|&lt;&lt;" />
							<input type="image" name="navprevious" src="<%= JSPMethods.getImageSrc( "previous" ) %>" alt="&lt;" value="&lt;" />
							<input type="image" name="navnext" src="<%= JSPMethods.getImageSrc( "next" ) %>" alt="&gt;" value="&gt;" />
							<input type="image" name="navlast" src="<%= JSPMethods.getImageSrc( "last" ) %>" alt="&gt;&gt;|" value="&gt;&gt;|" />
							<% } else { %>
						    <img src="<%= JSPMethods.getImageSrc( "first" ) %>" alt="|&lt;&lt;" />
							<img src="<%= JSPMethods.getImageSrc( "previous" ) %>" alt="&lt;" />
							<img src="<%= JSPMethods.getImageSrc( "next" ) %>" alt="&gt;" />
							<img src="<%= JSPMethods.getImageSrc( "last" ) %>" alt="&gt;&gt;|" />
							<% } %>
						  </font>
						</td>
					  </tr>
					  <tr>
						<td valign="top" nowrap="nowrap">
						  <font class="AF2">
						    <input type="text" name="jumptosite" size="2" maxlength="6" value="<%= "" + fileListerConfig.getCurrentSiteNumber() %>" onFocus="javascript:this.select();" />
							<img src="<%= JSPMethods.getImageSrc( "slash" ) %>" />
							<input type="text" name"ofhowmanysites" size="2" value="<%= ( bActivateControls ) ? "" + fileListerConfig.getTotalSiteCount() : "1" %>" disabled="on" />&nbsp;&nbsp;
						    <% if ( bActivateControls ) { %>
							<input type="image" name="inputnavigation" src="<%= JSPMethods.getImageSrc( "go" ) %>" alt="Jump to site" tabindex="1" />
							<% } else { %>
							<img src="<%= JSPMethods.getImageSrc( "go" ) %>" alt="Jump to site" />
							<% } %>
						  </font>
						</td>
					  </tr>
					</table>
				  </td>
				  <td valign="middle">
					<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
					  <tr>
						<td height="30" valign="bottom">
						  <% if ( bActivateControls ) { %>
						  <input type="image" name="inputshowresults" src="<%= JSPMethods.getImageSrc( "showagain" ) %>" alt="Show again" />
						  <% } else { %>
						  <img src="<%= JSPMethods.getImageSrc( "showagain" ) %>" alt="Show again" />
						  <% } %>
						</td>
					  </tr>
					  <tr>
						<td valign="top" nowrap="nowrap">
						  <font class="AF2">
						    <input type="radio" value="10" name="resultscount" <%= ( fileListerConfig.getResultsPerSite() == 10 ) ? "checked=\"on\"" : "" %> tabindex="2"/> 10
						    <input type="radio" value="25" name="resultscount" <%= ( fileListerConfig.getResultsPerSite() == 25 ) ? "checked=\"on\"" : "" %> tabindex="4"/> 25
						    <input type="radio" value="50" name="resultscount" <%= ( fileListerConfig.getResultsPerSite() == 50 ) ? "checked=\"on\"" : "" %> tabindex="3"/> 50
						    <input type="radio" value="<%= fileListerConfig.getBufferSize() %>" name="resultscount" <%= ( fileListerConfig.getResultsPerSite() == fileListerConfig.getBufferSize() ) ? "checked=\"on\"" : "" %> tabindex="1"/> <%= fileListerConfig.getBufferSize() %>
						  </font>
						</td>
					  </tr>
					</table>
				</td>
				<td valign="middle">
					<% if ( fileListerConfig.isAllowedToZip() ) { %>
					<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="30" valign="bottom">
								<img src="<%= JSPMethods.getImageSrc( "downloadzip" ) %>" alt="Download zip file" class="CC" onClick="<%= ( bActivateControls ) ? "processZipAction( 0 );" : "" %>" />
							</td>
						</tr>
						<tr>
							<td valign="top" nowrap="nowrap">
								<img src="<%= JSPMethods.getImageSrc( "selectall" ) %>" alt="Select all" class="CC" onClick="<%= ( bActivateControls ) ? "processZipAction( 1 );" : "" %>" />
								&nbsp;
								<img src="<%= JSPMethods.getImageSrc( "deselectall" ) %>" alt="Deselect all" class="CC" onClick="<%= ( bActivateControls ) ? "processZipAction( 2 );" : "" %>" />
							</td>
						</tr>
					</table>
					<% } else { %>
					&nbsp;
					<% } %>
				</td>
				<td valign="middle">
					<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="30" valign="bottom" nowrap="nowrap" align="right">
								<font class="AF2"><%= fileListerConfig.getIndexTime() %></font>
							</td>
						</tr>
						<tr>
							<td valign="top" nowrap="nowrap">
								&nbsp;
							</td>
						</tr>
					</table>
				</td>
			  </tr>
			</table>
			<% if ( fileListerConfig.isAllowedToZip() ) { %>
			<input type="hidden" name="selectedforzip" value="" />
			<% } %>
			<input type="hidden" name="window" value="<%= "" + fileListerConfig.getWindowID() %>" />
		</form>
	</body>
</html>
<%
	} catch ( NullPointerException npe ) {
		//don't do anything in this case because it can come to here only if
		//it's the very first call to a directory which doesn't exist, and for
		//this very rare case it's okay not to show anything...
	}
%>