<%@page language="java" import="org.alltimeflashdreamer.filelister.*" %>
<%
	FileListerConfig fileListerConfig = FileListerFactory.getFileListerConfig( request );

	//show a previous error, if any occurred
	boolean bHasPreviousError = false;
	try {
		//check the "user clicked back button in browser instead of the option bar link" problem
		fileListerConfig.doBackButtonInBrowserCheck( request );

		if ( fileListerConfig != null && fileListerConfig.getFileListerException() != null )
			bHasPreviousError = true;
		else if ( fileListerConfig == null || PoolHandler.getPool() == null )
		    throw new NullPointerException();
		else
		    fileListerConfig.resetZipBuilderThread();
		if ( !bHasPreviousError )
			FileListerFactory.processSearch( request, response );
%>
<html>
  <head>
	<meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
	<meta http-equiv="author" content="Florian Steinsiepe, Adrian Zaugg" />
	<meta http-equiv="description" content="FileLister: Indexing and searching the file system using the web browser" />
	<meta http-equiv="keywords" content="file listing, indexing file system, search through web browser, Java Servlets, JSP, XHTML" />
	<meta http-equiv="expires" content="0" />
	<link rel="icon" href="images/filelister.ico" type="image/ico" />
	<link rel="shortcut icon" href="images/filelister.ico" />
	<link rel="stylesheet" type="text/css" href="filelister.css" />
	<title>FileLister: View Results - All Time Flash Dreamer</title>
 </head>
  <frameset rows="*, 90">
    <frame src="<%= ( ( !bHasPreviousError ) ? fileListerConfig.getViewerServletURL() : fileListerConfig.getErrorURL() ) %>" name="resultframe" marginheight="0" marginwidth="2" frameborder="0">
    <frame src="<%= fileListerConfig.getOptionBarURL() %>" name="optionframe" noresize scrolling="no" marginheight="0" marginwidth="2" frameborder="0">
  </frameset><noframes></noframes>
  <body text="black">
  <h2><font class="RF">Error: Missing Frame Support</font></h2>
  <font class="AF">Please <a href="http://www.mozilla.org">upgrade</a>...</font>
  </body>
</html>
<%
	} catch ( NullPointerException npe ) {
	    //if called illegally or after session timeout, redirect to application entry directory
		FileListerFactory.redirectToAppRoot( response );
	} catch ( FileListerException fle ) {
		FileListerFactory.handleFileListerException( response, fileListerConfig, fle );
	}
%>